Skip to main content
GET
/
v1
/
webhook_subscriptions
JavaScript
import Augustus from '@augustusbank/typescript-sdk';

const client = new Augustus({
  apiKey: process.env['AUGUSTUS_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const webhookSubscriptionListResponse of client.webhookSubscriptions.list()) {
  console.log(webhookSubscriptionListResponse.id);
}
{
  "data": [
    {
      "id": "<string>",
      "type": "webhook_subscription",
      "url": "<string>",
      "events": [
        "payout.created"
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.augustus.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token for authentication with Augustus Banking API

Query Parameters

limit
integer
default:10

Number of results per page (1-100). Defaults to 10.

Required range: 1 < x < 100
cursor
string

Opaque cursor from a previous next_cursor.

Response

200 - application/json

Paginated list of webhook subscriptions

data
object[]
required
has_more
boolean
required
next_cursor
string | null
required